<?php

    require(plugin_dir_path(__FILE__) . '../include/inc_header.php');
    require(plugin_dir_path(__FILE__) . '../include/inc_menu.php');
	
	$oForms->get_settings();

    $sHTML = "
    <section class='ovis-main settings-container'>

        <article>

            <h2 class='ovis-subtitle'>Vertaling</h2>";

			if(empty($oForms->aFormSettings['settings']['authentication_key'])){				
			   $sHTML .= 'Er is geen key ingevoerd. Omgebruik te maken van deze module dient een geldige OVIS te worden ingevuld onder het kopje instellingen.';				
			} else {
				error_reporting(E_ALL);
				ini_set('display_errors', '1');

				$oData = new data($oForms->aFormSettings);
				$oData->getTranslations();
					
				if(empty($oData->aTranslations->data->allowed)){
					 $sHTML .= 'U heeft niet de juiste rechten om gebruik te maken van de de vertalingen in de OVIS plugin. Indien u deze functie wenst te gebruiken neem dan contact op met OVIS.';	
				} else {

					$sHTML .= $oForms->form_settings_translation();	
				}				
			}

        $sHTML .= "  
        </article>

    </section>";

    echo $sHTML; 

	require(plugin_dir_path(__FILE__) . '../include/inc_footer.php');